# $Id$
# Authority: dag

Summary: FUSE filesystem using Amazon Simple Storage Service as storage
Name: fuse-s3fs
Version: 0.7
Release: 1%{?dist}
License: GPLv2
Group: System Environment/Base
URL: https://fedorahosted.org/s3fs

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: https://fedorahosted.org/releases/s/3/s3fs/fuse-s3fs-%{version}.tbz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: fuse-python
Requires: fuse-python
Requires: python
Requires: python-boto 

%description
This package provides a FUSE (Filesystem in User Space) application allowing
for the mounting of Amazon Web Services' S3 storage facilities on a local
system.
WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING
This package has undergone some minimal testing and is deemed to be
safe to store data on.  However, this is the first instance in which this
project has been placed into wide circulation.  As such, until this package
develops some extra maturity from more widespread use, it is recommended that
data stored on fuse-s3fs be backed up on other media as well.

%prep
%setup

%build

%install
%{__rm} -rf %{buildroot}
%{__install} -Dp -m0755 -p src/s3fs %{buildroot}%{_bindir}/s3fs
%{__install} -Dp -m0644 -p doc/s3fs.1 %{buildroot}%{_mandir}/man1/s3fs.1

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc COPYING 
%doc %{_mandir}/man1/s3fs.1*
%{_bindir}/s3fs

%changelog
* Sun Nov 21 2010 Dag Wieers <dag@wieers.com> - 0.7-1
- Initial package. (using DAR)
